title: Free software vs open source, what's the difference and why it matters?
author: 寮
date: 2022-09-18
tags:technology,linux,bsd,foss,computer,privacy,anonymity
threadid: ANgwvMpRmrxqPutvWq
----
Before I begin, I decided to no longer write the date with the timestamps, because I'm using markdown, so I have to manually set the publish date and time.\
And while I generally manage to get articles written in about 30 minutes, sometimes I get over that, recently it often took me 3 hours to get an article written, so I have re-adjust the time before publishing, which I often forget to do, which is annoying.\
So if you're reading my articles from an RSS feed and never bother reading it directly on my website (and I know there are some of you like that out there, because it's just more convenient), and you're seeing all my posts being published on different dates and same times from here on, this is why.

With that out of the way, me, Misoto, and Udon (loli frog and K-Flame are there too, but loli frog only posted before the SoystemD discussion came up, and K-Flame only added likes) [recently got in a pissing match](https://gnusocial.jp/conversation/169756#notice-301332) with GNUSocialJP about why SoystemD should not be recommended, and it's better to use a Linux distro that uses a different init system instead.\
GNUSocialJP gave the default "well it's FOSS, so it doesn't matter".\
Well no, SoystemD isn't FOSS, it's just OSS.\
First I'll give you some context about what the difference is between OSS, FOSS, and FLOSS, and also why this difference matters.\
But since GNUSocialJP said I can reply in English as he's using a translator, and I know way more people who are in the same position, I thought I'd instead reply as a blog post so that I can explain all of that for more people.

## OSS vs FOSS vs FLOSS vs proprietary garbage (including shareware, freeware, freemium.........)

First off, back in the old days there really was no such a thing as "open source software" (well, there was as a source model, but not as a type of software), we only had either proprietary garbage or free software.\
While open source is part of being free software, freedom doesn't necessarily need to be part of open source.\
I heard that there's a committee for defining what is considered FOSS and what is not, but honestly if you really need to depend on a committee on what is considered free software and what is not instead of connecting the dots by yourself, you probably need to get your mental health checked.\
You don't need a committee to decide that a Toyota is classified as a bicycle, while even the most retarded of all retards clearly understands that it's a car and not a bicycle.\
Or some example that actually happened for real, a committee suddenly decided to no longer consider melons and watermelons to be fruits, but instead they decided to consider them to be vegetables, even though both of them clearly have all the properties to classify as fruits, and none to classify as vegetables.\
The only people, as far as I know, that classify those fruits as vegetables are those that usually follow orders or "laws" (which aren't even lawful anyway) blindly.

To put things simply, OSS (open source) is actually a movement that came in as a corporate response to the business model of WordPress (or something else, whatever), they saw you can make software open source and still make lots of money off of it, plus they noticed how great it is that you get highly skilled autists with too much free time thanklessly contributing to your code, and they thought "DAMN!! We need to try this shit out, let's make our dystopian mark of the beast system open source then!", and so they did.\
For example, Microshaft came with Visual Studio Code, which even admits it's OSS and not FOSS.\
Goolag already did that before them with Goolag Android (so not Android AOSP), Chromium, and so on.\
The thing is, all of these still contain lots of spyware, they still send lots of telemetry, they still phone home all the time.\
Sure, they all have versions that strip this shit out, but would you really trust it?\
The 2 corpo's are still the ones calling the shots, and as Luke Smith famously said it, it only takes 1 line of code to completely compremise your entire system, and [a litteral attempts by the glowniggers](https://freedom-to-tinker.com/2013/10/09/the-linux-backdoor-attempt-of-2003/) proves he's right.\
Other 2 known attempts include [this](https://freedom-to-tinker.com/2013/09/20/software-transparency-debian-openssl-bug/) and [this](http://www.omgubuntu.co.uk/2013/11/nsa-ask-linus-torvalds-include-backdoors-linux-father-says-yes).\
Also, did you know that all these massive OSS projects by big corporations all include an EULA you have to agree to in order to use the software?\
This is something that never happens with FOSS projects at all.

FOSS on the other hand stands for free and open source software, because as I already said, free software comes with open source by default, but open source software doesn't necessarily come with freedom by default, and there's no way to actually enforce that too.\
So with corporations gradually swapping their proprietary boots for open source boots to stamp on our heads for all eternity with, this distinction between OSS and FOSS had to be made.\
FOSS software is software that actually respects your freedom, which automatically respects your privacy, human rights, and the right to inspect, fork, modity, and redistribute the source code too, this is all synonymous to one other when it comes to software.\
Which is literally impossible if you have an all-in-one solution (like SoystemD) that also includes telemetry and backdoors (like SoystemD) with a bloated codebase (like SoystemD), and blatantly goes against the UNIX phylosophy (like SoystemD), and doesn't have a phylosophy of its own (like SoystemD), and by that just tries to be a jack of all trades and a master of none (like SoystemD).\
And the word "SoystemD" can be swapped with "Chromium", "Visual Studio Code", "WinDOS", "macOS", "WordPress", and other OSS/proprietary soyware of choice by the way.\
Sure, with the exception of WinDOS (macOS is mixed source though), all of them are open source, but the question is, are you willing to get through their massive codebases just to make sure that it respects user freedom?

As for FLOSS, it's basically the same as FOSS, but just making it clear that it's all about respecting user freedom by adding "libre", because in English if you say "free software", it might be confused as "pirated software" (which is really just sharing software Robin Hood style) or "software that is free of charge" (which is either Freeware or Freemium or Free to Play, depending on the earning model).

And proprietary software is all the software that has an EULA, is or isn't open source, has a copyright (which is a scam), and basically you can never own (the closest would be owning a license, which is not owning the software, it's permission to use a software).

I run Artix Linux on my ThinkPads, and I'll get another ThinkPad to run OpenBSD on, plus I'm running GhostBSD on an old MacBook Pro, Devuan on my darknet-only server, Mobian on a PinePhone and Surface tablet (and I really need to replace them, I only use Mobian on these because there's no good non-SoystemD distro for PinePhone, and the Surface Pro tablet is just extremely picky as it seemingly can't read any Live USB that isn't either Mobian or Ubuntu, and on Artix I can't get the WiFi drivers to work).\
With the exception of Mobian, they're all SoystemD-free, and even though I've never written a single line of code for any of these OSs, I actually own them, because the GPL license (and also the BSD license for OpenBSD and GhostBSD) says so.\
Likewise, if you're using WinDOS, macOS, Chrome OS, iOS, or Goolag Android, you're not owning them, you merely have permission to use them.\
Microshaft, Crappy, and Goolag all make that very clear in their EULA's.

And because they are the owners and not you, they preserve the right to finger their systems whenever the fuck they want to, whether you like it or not, and since the first WinDOS version with WinDOS Updates (WinDOS XP I believe? But whatever, I almost never used WinDOS, so I don't care), they didn't hessitate to show that to their users too.

## Why SoystemD is NOT FOSS

SoystemD classifies itself as FOSS, but it really isn't.\
The backdoors, the spyware, the fact it's broken by design, the fact Pottering-san makes certain things unbreakable by the users are clear indications.\
Let's not forget the fact that he once worked for Red Hat, which is funded by the NSA, which funds both Gnome and SoystemD (and all its mandatory soyware like PulseAudio, DBus, LoginCTL, Avahi, and so on, all of which are even present in the protest distro's), and now that same motherfucker left Red Hat to work for Microshaft.\
The main reason for most people who came to Linux since Ubuntu first came out to switch from WinDOS to Linux is to unplug themselves from the Microshaft tyranny.\
But now that Pottering works for Microshaft, it's only a matter of time before distro's using SoystemD will simply be turned into the exact same Microshaft tyranny, but with a penguin to make it look more happy.\
SoystemD has also been the reason for Linux users to switch to BSD (well actually it's the ZFS filesystem that BSD variants have, but it still stands that the BSD userbase expanded by a lot since SoystemD took over so many of the most well known Linux distro's).\
Gentoo is the most subtile of all the most well known distro's, as it offers you the choice to be enslaved to the SoystemD tyranny, or join the more freedom respecting OpenRC crowd (which by the way is still pretty bloated, but it's still billions of times better than SoystemD).

## Furryfox

Furryfox is the prime example of FOSS software that isn't FOSS at all.\
While Cuckzilla classifies their own browser (and mail client in the case of Trannybird) as FOSS.\
However, [just the fuckload of spyware alone](http://spywareitdaiuyfo2sqb5vsg7mek5cjabdr73luhnda57t2hyuzg7yyd.onion/articles/firefox.html) is already enough to consider it OSS instead.\
And the version they tested was 52, the most recent version is 104 I think, so imagine what more has been added in since then.\
And [Trannybird is only slightly better](http://spywareitdaiuyfo2sqb5vsg7mek5cjabdr73luhnda57t2hyuzg7yyd.onion/articles/thunderbird.html), but still extremely concerning.\
[There's nothing FOSS about Cuckzilla's soyware at all!](http://5essxguxi5enurgtuquvrjuvikss4gc5lbhmtz57cq4cedqx5tqvaxqd.onion/articles/mozilla.xhtml)

## Other examples

A few days ago, the news dropped about the "I don't care about cookies" browser extention being taken over by Avast.\
Other than being owned by a corpo now, I haven't seen anything yet to make it lose its FOSS status, but the first red flag has already been set.\
Another well known example of FOSS software losing its FOSS status is Audacity, when at some random day the developer decided to add in telemetry just for the lulz I guess?\
"Audacity is no longer FOSS, THE WORLD IS ENDING!!", said a crowd of "former" Audacity users on Discucked and Steam's chat functionality using WinDOS, which still use Audacity since the few forks aren't as famous.\
Anyway, that alone is enough to downgrade yourself from FOSS to OSS.
