title: Which Linux distribution or BSD variant should I use? Doesn't matter!
author: 寮
date: 2022-06-18 06:30:00
tags:technology,linux
threadid: AKamo9ZbBEZKm7RUEC
----
In my [previous entry](/blog/recommended-linux-distro), I recommended a bunch of different distro's for specific use cases.\
However, these recommendations were based on my own personal taste, and I realized that what is the right choice to me might possibly be the wrong choice for you, and vice versa.

Maybe you're forced to use a specific Linux distro or BSD variant because that one plays nicely with your hardware while others don't.\
One example of that is me trying to install FreeBSD on a Surface Pro 3, and the tablet shuts down the moment the installer boots up, and apparently [it's a well known issue too](https://wiki.freebsd.org/Laptops/Microsoft_Surface_Pro_3).\
OpenBSD on the other hand is installable...kinda.\
While OpenBSD does get installed, the issue now is that as soon as I boot it up, I get greeted with a rather not so easy to understand error:

```
"INT33A1" at acpi0 not configured
acpipci0 at acpi0 PCI0: 0x00000000 0x00000011 0x00000001
acpibtn0 at acpi0: LID0
"MSHW0029" at acpi not configured
"MSHW0028" at acpi not configured
acpicmos0 at acpi0
acpiac0 at acpi0: AC unit offline
acpibat0 at acpi0kernel: integer divide fault trap, code=0
Stopped at      aml_parse+0x2bad:       divl    %ecx,%eax
ddb{0}> 
```

My experience with Manjaro on that thing is that WiFi drivers don't work.\
The only distro that works on it is Kubuntu, so I had to go with that.

I always get asked to give Linux Mint a try, because "once you use Mint, you won't want to use anything else".\
The problem I'm having with DEB-based distributions is that while they're great for servers, they're a pain for desktops.\
Packages are forever hopelessly outdated, and installing newer versions of said packages is quite a pain, especially if a new version of whatever distro you're using JUST came out, because 3rd party repositories aren't up to date yet.\
Makes me quite guity for recommending MX Linux to beginners, but on the other hand, beginners are generally the types of people who shouldn't mess around with different combinations of versions in the first place, at least not until they're comfortable enough with Linux so that they will never want to go back to WinDOS or macOS ever again.

But the above is exactly why I prefer to use Artix Linux over any other distro myself.\
While it theoretically takes more time to prepare your desktop (installation of software, configuration, and so on), the distro isn't really meant to be re-installed many times.\
And if you have to re-install or install on a different computer, for the most part it's simply a matter of RSYNCing (or SCPing if you're on that team) your dot files, then installing the software you want, and you're good to go.\
In fact, you can most likely use dotfiles meant for Artix on MX Linux too, maybe you'll need to place some stuff in different directories (like .config/newsboat instead of .newsboat for example), but that's really a non-issue for the most part.\
Or otherwise you can just delete the directory your distro creates for you, and it'll still work.

At the end of the day, the question you should be asking is not "which distro should I use?", but rather "what do I need in order to get my job done?".\
Another way of looking at it, if you're using Yuzu the Nintendo Switch emulator, you probably want to use an Arch-based system, because the AUR repository gives you the early access version for free, while others have either just the standard version, or none at all.

Or if you're using a package that is only made with systemd in mind, you'll need to choose one that uses systemd over one that explicitely avoids it.

What shouldn't be celebrated is people switching from Ubuntu to Arch, or from Arch to OpenBSD, and so on.\
What should be celebrated is people switching from a proprietary OS such as WinDOS, macOS, iOS, ChromeOS, or Goolag Android to a free(dom respecting) OS such as any Linux distro, any BSD variant, ReactOS, FreeDOS, or a custom Android AOSP ROM (like GrapheneOS, LineageOS, or /e/ for example).
