title: Updated list: my top 1 recommended Linux distro and top 1 BSD variant
author: 寮
date: 2022-07-25 06:30:00
tags:technology,linux,bsd
threadid: ALpTbSkDbna3DaR064
----
Previously [I recommended 5 distro's](/blog/recommended-linux-distro/) for each a specific purpose.\
After that I said [it doesn't matter](/blog/recommended-linux-distro-2/) because as long as you go from a proprietary OS to a free OS, it's good regardless, which I still stand by.\
But some people don't like that, and want me to recommend something I think is the best, the very best.\
By this post I'm not saying "the previous 2 posts are irrelevant now", but rather "use all 3 posts side by side in order to get a bigger picture".\
This time I will also add a BSD variant to the mix.

## Best Linux distro: Artix Linux

Normally I wouldn't recommend derivatives, but Artix and Devuan are exceptions, since the only difference between these and Arch and Debian respectively is the choice of init system, and their removal of soystemd dependencies from repositories.\
Other than that they're the exact same distro's as their base.

But Artix is Arch without soystemd, and Arch on its turn is a distro that just works.\
It's minimalist, you can install anything you want very easily, and it encourages you to understand the system (unlike Ubuntu or Manjaro which build a wall between you and the system).\
The problem I have with distro's like Debian or Fedora is that Debian does Linux the Debian way, Fedora does Linux the Fedora way, Ubuntu does Linux the Ubuntu way, Manjaro does Linux the Manjaro way, and so on.\
Arch and Artix (and also Gentoo, Slackware, and Void) on the other hand do Linux the Linux way (well, Void kind of does it more the BSD way, but that's because the founder of the project was a former NetBSD developer).

The nice thing about Artix is that it provides both the base install which gives you a more Arch-like install process, and a couple of graphical installers of choice which gives you a more Manjaro-like install process.

Nice alternatives are Void, Slackware, and Gentoo, but Void comes with outdated packages, and by the time new versions come out, the Void respository's latest versions are already outdated.

In the case of Gentoo, it's even more flexible than Arch and Artix will ever be which is great, but you must compile everything from source, which can take a hell lot of time.\
Ever tried to compiling Ungoolagged Chromium before?\
Takes days to complete, or days to return an error, depending on which one comes first, and every single time you update you'll need to get through the exact same process again and again.

And as for Slackware, this is the one Linux distro that to this day refuses to give up on SysV, so you'll get the init system we all grew up with before soystemd came along.\
However, it's a fixed release distro with a pretty irregular release cycle (they used to have one between once a year and twice a year until 14.1, then 14.2 got released 3 years later, then the next one which is 15.0 got released 4 years later).\
Overall not a bad distro by itself, it's used by the Linus Torvalds himself, and many FLOSS fanatics praise it as the best Linux distro ever made, I just don't really like that it's a fixed release distro.

So that's why I believe that Artix is the king of all distro's, because it's everything I want: minimalist, flexible, always the latest packages, rolling release, Linux-style Linux (and not Artix-style Linux), and so on.

## Best BSD variant: OpenBSD

I have problems installing OpenBSD on my old Surface tablet, but it seems to be specific to that tablet.\
I always ran Debian servers, recently switched over to Devuan servers, and now I'm in the process of switching them over to OpenBSD servers.\
Because Devuan is a great distro for server use, but I feel like OpenBSD is an even better OS for server use.\
OpenBSD too is minimalist, flexible, always the latest packages, and BSD-style BSD.\
The only thing it isn't is rolling release, but BSD variants generally tend to have a much more spread out release cycle compared to Linux distro's (except for Debian and Devuan), plus packages are nicely kept up to date, so I don't really mind the fixed release model in BSD.

I previously recommended GhostBSD, since that's basically FreeBSD except it actually works, but having looked at it for a few weeks on an old MacBook now, it really feels like it comes with too much bloat out of the box, so I don't really like that.\
I will perhaps get myself another ThinkPad to run OpenBSD on it, my current ThinkPad runs on Artix Linux, and I just like to have both systems running side by side.

But in general, derivatives of BSD variants aren't as bad as derivatives of Linux distro's, since in Linux they're mostly just glorified, pre-configured rices, while with BSD they're more like "look, we'll make it easy for you to set up the desktop, other than that we'll be as close to the original as possible" (with the exception of macOS, by far the worst BSD variant, and worst Unix OS in general anyway).

So yea, you wanted me to give a specific recommendation on a silver platter, here you go then!
