title: List of recommended Linux distributions
author: 寮
date: 2022-05-04 23:30:00
tags:technology,linux
----
Let me be clear, this is in no way an article about which ones you MUST use as if your life would depend on, and it's definitely not an article about which ones you need to avoid like the plague.\
This is purely my own opinion as they are in mid-2022.\
I too keep shifting my opinions about which Linux distro I recommend, like how I would recommend Ubuntu to beginners 15 years ago, then I started recommending Manjaro to the same group of people 5 years ago, only to recommend MX Linux to that same group of people.

I have multiple recommendations, so I'll list them accordingly, then give my historical recommendations.\
Also, I will deliberately avoid recommending BSD variants, simply because this article is about Linux distributions, I'll make my list of recommended BSD variants another time.

# For beginners: MX Linux

I already hinted on it, but it was a bit hard to choose between MX Linux and Devuan, because they're both basically Debian without systemd.\
But Devuan is literally nothing but that.\
MX Linux on the other hand to me feels much more lightweight, has been tweaked more towards beginners.

Also, it's currently the number 1 on DistroWatch, so it must be good!

# For advanced users: Artix Linux

btw...I use Artix.\
Arch users know what I mean.\
Artix is Arch without systemd; Artix is to Arch what Devuan is to Debian.\
The one disadvantage of Artix is that the AUR is of course catered towards pure Arch Linux, so lots of packages need systemd even if there's no reason for it at all.\
Also, you'll need to be aware of Connman spying on you, so you'll need to mitigate that piece of shit.

My desktop PC is running Artix.

# For old hardware: Void Linux

Void is awesome, but you'll have to deal with old outdated versions in the official repository.\
But since Void is an independent distro (is this a mandatory statement when talking about Void by the way?), none of the packages will require systemd, so that's making stuff easier.\
Also, the installer is pretty easy to use, and boot times are near instant even on my 10 year old note PC.

I'm running it on all my note PCs.

# For mobile: Mobian

I didn't choose Mobian because it's the best Linux phone OS, but rather because it's the least bad one (alongside Arch ARM, except that one breaks often).\
Sure, postmarketOS is much more optimized for phones, but it sure lacks so many packages, and the distro itself kind of feels like playing with a toy (like Android), I just can't get comfortable using it.

I'm running it on my smartphone.

# For servers: Devuan

It's a bit odd to use Devuan over Debian on servers, considering so many web applications are made exclusively with systemd in mind (because soydevs), and it's very rare for VPS providers to provide a Devuan image, but once you get around and manage to set shit up to work with OpenRC, it's absolutely awesome!\
The very server this website is running on is powered by Devuan even, it's not a VPS, it's my former mini PC which I repurposed as a webserver!

I'm running it on all my servers.

# Historic recommendations

## Red Hat Linux

I recommended Red Hat (now RHEL) back in the late 90's, simply because it's what the very first PC I used was running on, so I didn't know many others.\
But besides Debian and Mandrake, there wasn't much else anyway.\
Nowadays, I really don't like RPM-based distro's.\
Maybe CentOS and Fedora put a bad taste in my mouth?

## Ubuntu

I used Ubuntu since version 6.06 LTS, which was the only release that wasn't released in April or October, but was the most stable version ever.\
5.10 to 8.10 marked the golden age of Ubuntu, it was really easy to get into, it wasn't as bloated yet, and it just worked.\
Ubuntu remained decent until GNOME decided to destroy the Linux desktop experience for literally everyone and their mothers, effectively forcing Mint to go their own way with Cinnamon, Ubuntu going their own way with Unity, and MATE being created out of GNOME 2.\
What did they do? Well, they replaced the best DE ever (GNOME 2) for the worst DE ever (Gnome 3).\
Gnome 3 did get better over time, but it still sucks, and Gnome 40 is more like a continuation of the Gnome 3 dystopia than a major upgrade.\
Imagine if Apple would make Macbooks for the nerdiest of nerds, and all of the sudden decides to make their Macbooks for the normiest of normies, and tell the nerds to go fuck themselves.\
This is what Gnome did by going from 2 to 3.\
Hell, Gnome 3 sucked so much, I couldn't even run it at my back then gaming note PC, as it would always start in Gnome Flashback even if I'd choose the main one instead.
And if I got it to work on a different PC, it was laggy as fuck.

However, Unity was no improvement.\
It was better than Gnome 3, it really felt like they took notes from the Gnome team, and maybe they did because a few years later they decided to dump Unity for Gnome 3 anyway.\
But ever since they moved from Gnome 2 to Unity, Ubuntu as a whole started going downhill by putting Amazon spyware in (though unlike with WinDOS and macOS, opt-out actually is opt-out), the system got bloated with pointless scripts, bugs everywhere, they started lagging behind on adopting technology, and so on.

## Linux Mint

I started recommending Linux Mint back in 2009.\
I knew it since 2007, but back then I viewed it as Ubuntu with proprietary media codecs (including Flash) pre-installed, and 1 panel instead of 2.\
But as Ubuntu was degenerating, Linux Mint really started to shine with their Debian Edition spin-off (which really should be the mainline edition at this point), and their own Cinnamon DE which is basically Gnome 3 done right (though pretty buggy when I tried it out at the beginning of its existence).

## Manjaro

Manjaro to Arch is what Ubuntu is to Debian.\
At the beginning they were pretty based, but just like Ubuntu, they started to degenerate in pretty much the same way.\
Flatpaks? Steam? Pamac? Why the fuck do we even need it!?

## Debian

I used to recommend Debian for desktops in the early 2000's, and for servers from the same era until recently.\
To keep it short, I'll let you [read this article by unixsheikh](https://unixsheikh.com/articles/the-delusions-of-debian.html) for why I stopped recommending it, as it's well in line with what I think of it.

## Damn Small Linux

When I went to middle school, I got introduced to Windows for the very first time.\
I loved Windows so much, I always had a bootable Live CD (we didn't have bootable USBs yet back then) with Damn Small Linux on it, which I would boot up instead to do my work on.\
The reason why I stopped recommending it is, it hasn't been updated over the last 10 years, so imagine the many known bugs that exist in the latest version today, and bootable USBs aren't as god damn slow as live CDs were, so there's simply no point in using it anymore.\
And also, good luck booting it up on today's PCs.

## Puppy Linux

Same as with Damn Small Linux, except that one died much more recently, but served as a good alternative to DSL.

## KNOPPIX

Back when I repaired computers back in 2008-ish, I used KNOPPIX as an easy to use all in one repair kit (as a Live CD though).\
I'm no longer in the PC repair business, so I no longer use it.
