title: Rules of a good website
author: 寮
date: 2022-12-22
tags: technology,internet,webdev
----
As much as I love freedom and the hands off approach that is part of actual free speech, sometimes we just need to limit freedoms when it becomes a disaster.\
The internet is one of those.\
While I'm under no delusion that anyone reading this post will take it seriously and abide to it, I do believe that this is going to help fighting [The Website Obesity Crisis](https://idlewords.com/talks/website_obesity.htm) if we all did.

Before I go over the rules, the above site (that's ironically is breaking rule number 3 by hosting 99+ images off-soyte) has a handy food pyramid for how the web should be:\
![](http://ass.ryocafe.site/ob.037.jpg)

## 1. Content is king

People visit your website for your content, not the ads and the newsletters!\
If you have nothing worthwhile to say, there's still soycial media you can go to.

## 2. No more ads and trackers

No need to disrespect your visitors just to make 5 yen a year (if you're even lucky to get this much out of ad revenue at all).\
Don't use trackers, nobody wants to be watched all the time, so respect your users and remove that reCAPTCHA, ANALytics, soycial media share buttons, and other unnecessary bloat!\
No really, there's no reason to have ads on your website!\
If you're a business, you should make enough money with whatever you're doing.\
If you're an individual, just sell a book, an album, a drawing, or what else, way more ethical than ads and trackers!\
Or have a donation pot, people who legit like your content will voluntarily give you money.

## 3. No more CDNs, host everything locally

Don't rely on CDNs, you're putting your visitors at risk of getting their computers infected with malware, password sniffers, crypto miners, cookie stealers, browser history sniffers, and so on.\
It happened many times before, and will happen again as long as you allow somebody else to control parts of the source code!

Back in the old days it was pure common sense to host all your ASSets locally, you were specifically asked to not hotlink, and those who did got greeted with Lemon Party the other day, because whoever controlled the website in question decided to rename file names on their servers.\
Today you're expected to load content from a gazillion different websoytes.

Also, don't believe the snake oil sellers who will tell you that CDNs will speed up your website, [the exact opposite](/blog/cdn-users-are-braindead/) of [that is true](/blog/cdn-is-bad-for-year-health/)!

## 4. No more unnecessary Javascript

Websites should be written in XHTML 1.1 or HTML4 (HTML5 only if you need to host videos or audio), and CSS.\
That way we can avoid things like [browser fascism](/blog/browser-fascism/), [destroying the back button of the browser](/blog/stop-breaking-back-button/), [making all browsers suck](/blog/all-browsers-suck-your-fault/), or otherwise [causing other kinds of breakages](/blog/what-is-considered-broken-website/).

## 5. Keep CSS under 300 lines

CSS doesn't need to be bloated, keep it simple, stupid!\
That way [you wouldn't need to resort to minification](/blog/problem-with-minification/).

## 6. Keep images small

Every image should be limited to max. 300 KiB per file for pages with just a few images, up to 100 KiB per file for pages with lots of them.\
The only exception being GIF animations and PNG files with an alpha channel, simply because you can't fit those in so little space.\
I'd say both should not exceed 2 MiB.

Even if you're using broadband internet whether on WiFi or Ethernet, it's still fucking annoying to have to wait forever to download a 50 MiB PNG file over Tor.

## 7. Make Everyone Anonymous Again

Stop blocking Tor traffic, Tor user lives matter too you know!\
Breaking rules 1 and/or 2 automatically breaks rule 7 too, because ads and trackers are there to spy on you, and so are CDNs.\
If you're not a government agent, then refuse them our data!\
We are Anonymous, we are legion, we do not forgive, we do not forget. Expect us!

## Break time!!

I understand you got a little bit tired of reading now, so let's have a bit of an eye break.\
Here's some cuteness to look at before we continue on (don't worry, it's all safe for work this time):

| | |
|-|-|
| ![](http://ass.ryocafe.site/e71a1bf67efbb98687e59851dd709793342e1338_hq.jpg) | ![](http://ass.ryocafe.site/qFJVVBUhQoNm6427KB9mIjHlGGzllAHRx6Wr0rWbvaM.jpg) |

It really should be a rule to have loli's on your website, loli's always give websites extra kawaii points.\
But I guess it's just a recommendation rather.

## 8. Stop focussing on SEO, focus on presentation instead

This might appear contradictionary to rules 5 and 6, but you can make nice looking websites in under 300 lines of CSS code and with small images.\
In fact, this used to be the norm 20 years ago even!\
And it's insane if you consider that a very flashy, colorful websites of 20 years ago were still a lot more lightweight than the boring, soulless websoytes of today.

Back before SEO was around, everyone was spending lots of time to make their own website look great, completely distinguishable from all the other ones.\
In fact, back then if your website would look like another one, you were accussed of being a thief and were told to get the fuck off the internet.\
Either that, or you were running a scam soyte.

Nowadays, looking the same as everyone else is the norm, now you're being punished for making your website stand out!\
Everything nowadays needs to use that TwentyWhatever WordPress theme on a white background with black letters which you can barely even see because of the flashing ads all over the place, use eyecancerous Material UI colors and icons, globohomo hugeass arms flat chest small head dark skin "people" artwork if at all, and so on.

And if you want to have a dark theme, [then you better NOT give up your privacy and security in return for MAYBE a bit more accessibility](/blog/darkmode-should-be-default/)!

## 9. PC-first, mobile-second

[Make websites for real computers first](/blog/responsive-design-is-harmful/), mobile when you have the time.\
No seriously, you don't have to optimize for an audience that's already used to zoom in with 2 fingers in order to see stuff, rather focus on the people who aren't used to zooming out with CTRL + scrollwheel.\
Besides, you're using a real computer in order to make a website anyway, so it's a lot easier to test too.

## 10. Keep websites independent

Those of you who have been here for a while know that I hate [Cuckflare](/blog/dependence-on-cuckflare-is-sign-of-weakness/) and AWS.\
Both are guilty of [centralizing the non-big tech non-soycial media part of the clearnet](https://gitler.moe/dCF/deCloudflare/src/branch/master/README.md), [which puts you at risk too](/blog/cuckflare-is-not-neutral-again/).

## 11. Stop worrying about offending a snowflake

You have a certain target audience, those people are the ones reading your website, and they read simply because they like what they read.\
Therefore there's no reason for you to be concerned about potentially offending some random snowflake who doesn't even like your content, and only shows up to be outraged.\
If you're running a community, just show them the door, and if they refuse to leave, you kick them out.\
It's that simple!

Want to say "NIGGER"? Do it!\
Want to name the Jew? Do it!\
Want to post a loli? Do it!\
Want to express your hatred against racists, antisemites, transphobes, and/or whatever other fictional words? Do it!\
It's your space, you own the land of that space of the internet, you decide what you say on that piece of digital land!

## 12. Host your own communication tools

It's 2022, almost 2023 by now, and the whole world relies on Discucked, WhatsApp/Fakebook, LINE, Skype, Zoom(er), Slack, and a few others.\
Meanwhile, 30 years ago we had our own communication lines independent from hostile slave owners, whether it be IRC or XMPP or BBS or an internet forum made with phpBB, SMF, or Acmlmboard or email or the guestbook on our own websites, we just did it ourselves.\
Seeing the great devolution is rather devistating.\
Replacing an internet forum for a Discord room (don't call it a "server", because it clearly isn't!) is like telling your best friends they're no longer welcome, and invite a group of highly abusive cartels who hate your ass in instead.

Hosting your own email server is difficult, [I fully understand that](/blog/liberate-email-ignore-dkim/), but hosting a basic XMPP or IRC server isn't, and neither is hosting a forum.

![](http://ass.ryocafe.site/internetcompare.jpg)

# TRIGGER WARNING: [The following might trigger you and hurt your precious feelings](http://ass.ryocafe.site/1671561831206252.jpg)

Merry Christmas!

Also, 2023 is the year of the bunny here in East Asia, so have a bunny.\
![](http://ass.ryocafe.site/e6fed618d8a36266615b06cc0878d3d3030d57a3r1-820-1296v2_hq.jpg)
