title: If you truly care about privacy and/or anonymity, stop recommending smartphones
author: 寮
date: 2022-07-13 19:40:00
tags:technology,privacy,linux,bsd,smartphone
threadid: ALRnemr4IQKjLbeRai
----
It's way too common especially among the [JewTube](/glossary#jewtube)rs who are mirroring their content to [Opussy](/glossary#opussy) to recommend certain smartphones or custom ROMs for privacy.\
That they seemingly fail to understand is that phones aren't private, no matter how private you make them.\
This led me to stop following Rob Braxman, he's basically fighting a war he can't win.

## What makes smartphones so dangerous?

4 things: microphone, camera, SIM card, and wireless antenna's.\
Removing all 4 of them would effectively turn your phone into a stationary PDA.\
It's pretty cute when people put tape on their 1 and only laptop camera to stop outsiders from spying on them, but those same people to absolutely nothing about the billions of cameras that's present on their 1 phone.

Desktops are still the safest, as they never come with a camera and microphone, so you have to buy separate ones, and to prevent spying is simply a matter of unplugging their cables, and most desktops (I mean the custom built ones) have no WiFi or Bluetooth module, you can add them in if you want, but they probably won't have them by default, though those made by brands and shipped to you will have them.

However, good luck carrying around a desktop to wherever you go, and working on a project at a Starbucks or Dotour.\
I know, it's a soy meme, but it really does help with productivity to be somewhere outside of your home.

When it comes to laptops, there are the consoomer toys, which are basically iPads with WinDOS, an undetachable keyboard, and no touch screen, and there are the business class laptops, which are still real computers ([though that seems to be on the chopping block too](https://www.techradar.com/news/some-lenovo-ryzen-laptops-are-now-only-running-windows)).

Let's look at the table to see what I mean:

|             | Gaming desktop | Branded desktop | Business laptop | Consumer laptop | Smartphone           |
| ----------- | -------------- | --------------- | --------------- | --------------- | -------------------- |
| Camera      | None           | None            | None or 1       | 1               | Between 2 and 10,000 |
| Microphone  | None           | Maybe           | None or 1       | 1               | 1 or more            |
| WiFi        | No             | Yes             | Yes             | Yes             | Yes                  |
| Bluetooth   | No             | Yes             | Maybe           | Yes             | Yes                  |
| SIM card    | No             | No              | Maybe           | Maybe           | Yes                  |
| NFC/FeliCa  | No             | No              | No              | No              | Yes                  |

I deliberately excluded tablets, because they're basically large smartphones without core phone features anyway.\
The other problems with smartphones are that they're usually locked down so hard, you can't easily repair them yourself, and even if you've installed GrapheneOS or CalyxOS, you might have mitigated the problems on the software level, all of the hardware level problems are still there, and nobody knows if they're still spying on you or not, or whether glowniggers are sniffing the phone's antennas near your physical location.

With business laptops and many kinds of branded desktops, it's still possible to open it up, and physically disconnect (or even remove in many cases) all the unwanted components, unless they're soldered on to the motherboard, which is a rant I'm planning on writing next time.\
This is even easier with gaming desktops, because they're not there to begin with, and if they are, it's a matter of opening one side of the box, and disconnecting it.

## Solutions

Impossible with smartphones, tablets, and consumer laptops, although the [PinePhone](https://www.pine64.org/pinephonepro/) does have hardware kill switches to turn them all off (except for NFC, because it's only available as an addon), but Linux phones are still far from ready for most phone users, and will probably take a decade or 2 before they are.

In the laptop space, the [Framework](https://web.archive.org/web/20220710184651/https://frame.work/) laptops are especially interesting, as it's explicitely designed to allow you to repair it like a gaming desktop.\
However, their websoyte is [Cuckflare](/glossary#cuckflare)d, so I'm unable to buy their product.\
Also good to know, the Framework laptop isn't necessarily advertised as a privacy laptop (which is probably why it's Cuckflared?), but it does give you the power of making it private.

Another development I'm on the lookout for is the [RISC-V](https://riscv.org/) architecture, which unlike Intel, AMD, and ARM are actually free hardware alternatives.\
Though there's currently no consoomer ready hardware that has a RISC-V processor as of yet, and it's still insanely difficult to get your hands on one too.

And if you need something that's easily available, you can still get a 2nd hand ThinkPad, anything X270 or older is good, anything X220 or older is better, X200 is the FOSS community's favorite, and best are the IBM branded ones (so before Lenovo took over the ThinkPad brand).\
They're not private by default, but you can still easily open them up, remove all the unwanted hardware, have an Ethernet port (which is superior over WiFi in everything except for mobility), and so on.
