title: Tips for job interviews in Japan
author: 寮
date: 2022-08-07 07:40:00
tags: jobs,japanese
threadid: AMGVe66bBfBj1ARuNc
----
A little deviation from my usual technology (mostly) or politics (sometimes) related rants this time.

As a freelancer, I have job interviews all the time, so have great insights on it.\
It's not only helpful to freelancers, but for all job types too (unless stated otherwise).\
Be aware that this is by no means a 1 stop resource on how to succeed in job interviews, this page would otherwise be turned into a 600+ page book, which you can as well just purchase all throughout the country anyway.\
Instead I want to focus on common mistakes that even we Japanese make way too often, especially since you almost never get any feedback.

## 0. Language == key

First, I want you to learn Japanese, and train yourself to speak it smoothly.\
Even if you have N1 level fluency, even if you know every single joyo kanji by heart, even if you outperform native Japanese speakers with your grammar skills, you will still fail if you hang mid-sentence too often.

Most companies where Japanese is somewhere between not required and business level required are generally either ブラック企業 (black corporation), which by the way doesn't mean "corporations owned by black people", but rather "corporations that have absolutely no respect to basic human rights at all", or big corporations that often get caught red handed on black corporation-like behavior, or international companies, or English teaching jobs.\
I think the problem with the former 2 is clear enough that I don't need to explain on why you should avoid them.

As for the international companies, you'll probably feel much more at place as a foreigner, but they come up with even more bullshit procedures than your average Japanese company, like a mathematical "coding" test, and maybe more, but I never got through the "coding" test part, since they're generally retarded anyway.\
And for English teaching jobs, I guess you can ask any random gaijin working as one on why it's a bad idea.

Meanwhile, small Japanese companies are in my opinion the best places to work at.\
They usually offer a much more comfortable workstyle with more freedoms, decent pay (way lower than a big corpo, but still good enough if you're smart enough), lots of holidays, you have more say in projects, more opportunities to become friends with fellow employees, and far less competition (so easier to get an offer), because most gaijin lack the Japanese language skills required to work for one, while most Japanese see them as unknown brands, so you can't brag about working for such a company within your friend circles.

## 1. Results are decided on first look
Believe it or not, but whether they want to hire you or not can already be noticed upon the start of the interview.\
If the (HR) manager on the other side is smiling, is going off-topic a lot, responds with a genuine smile (not a fake one) to what you have to say, and so on, those are clear signs that they'll take you in, though not always guaranteed.\
However, if they invite you for a dinner or into a chat group, or something similar to that, you're guaranteed to be hired.

## 2. Avoid negativity, even if you're provoked into doing so
What is considered negative in Japan is much broader compared to the west.\
When they ask you why you want to work for them and not for wherever you came from or other companies or projects you applied for, just answer with you looking for a new challenge, and the right company for that is their "awesome" company.\
Make sure you include the "awesome" part, even if the company sucks balls, this is always an easy way to victory.\
The HR staffer will be filled with joy, sometimes they can smell that you don't genuinely mean that, but it's alright, all what matters is that you give them a warm feeling.

## 3. When asked for a weak point, keep it positive
Never say something like "I can't concentrate", "I made a mistake at my previous job", "I have difficulties articulating words correctly", even if it makes sense.\
Many bloggers both Japanese and foreigners will recommend you to mention a mistake at a previous job, and turn it into a good point somehow.\
However, in reality, this is a massive no-no.

Instead, keep it short and simple, and say something like "I'm too hard working" or "I take bugs too seriously".\
These are considered good things in Japanese soyciety, but that's exactly the point!\
By adding "too" you make it seem like if it's a bad thing, but it's actually a good thing.

## 4. Be long term (for fulltimers and contractors)
Especially if you're a foreigner (or Japanese with ambitions of living overseas at some point), make it clear that you're here to stay forever.\
In the west it's perhaps normal to hop from job to job, or be a temporary foreign worker, but over here you're way more valuable as a long term employee, preferrably for the rest of your carreer.\
Graduates and new arrivals will be asked in the form of "where do you see yourself in x years?", while job transferees will be asked in the form of "do you any plans to leave the country/company?".\
But don't get confused, it's the exact same question, just formulated differently.\
Even if you're planning on leaving the company after a few months and work for your own, even if you plan on returning to your home country, don't say that, and make sure you come over as if you want to stay with them forever.

## 5. Stick to the date you said you're available
I understand you want to provide your potential employer or customer some options to choose from, but when it comes to finding a job or project, don't!\
If you said "I can work from the 1st of April", stick to that.\
As soon as you say "if you're in a hurry, I can as well start 1 week earlier", it's instant game over.

## 6. Your skillset should always match the job opening
[I already said this before](/blog/stop-asking-php-framework-skills/), but your skillsets during the interview need to match with the job opening.\
For example, if you apply for a PHP job, but it requires you to also know Python, but you have very little skills in Python, still say you have experience with it, or otherwise you're willing to learn it.\
Never say you can't, it takes only 1 point to say "no" to, and you're guaranteed to fail.\
Don't worry about questions proving whether you legit can do it or not, all they want to know is whether your thinking matches with what they want to hear, not whether you legit have these skills.

It's a little bit different with freelancing, as you're only there for 1 project rather than having to go from one to the next under the same employer, but should still hold true for us freelancers too.
