title: OS ranking per generation
author: 寮
date: 2022-06-22 18:30
tags:technology,linux,smartphone
threadid: AKkNW90qlyx5VLWVou
----
# OS ranking per generation

As some of you already know, I've been a Linux user since childhood, I was introduced to WinDOS very later in my life.\
So I'll just put each OS/distro I had experience with in each generation into different tiers, and maybe explain why.

Tiers are Best, Good, Neutral, Bad, and Worst.\
I guess you can guess what each of them means.\
Also, I won't be ranking any OS or distro I never used during the given generation.\
Also, this is all just my own opinion, so please don't take it personally.

## 1997~2004: The Steve Jobs Returns™ generation

### Best

Mandrake, I never used it myself, but many fellow Linux users (which I didn't have access to, but my father did) said it was the best distro of the 3 that existed back then.

### Good

Red Hat, pretty ironic that my first OS isn't considered the best, but I really can't blame it for what it was back then.\
But according to my father, the reason we used Red Hat was because the other 2 weren't installable on our machine.

### Worst

Debian, might come as a shocker to you, but back in the day it was pretty much impossible to get Debian to work on any PC at all.\
Though [Loli Frog](/glossary#lolifrog) managed to get it to work, as it was her first OS.

## 2005~2008: The peak PC generation

### Best

Debian, as soon as it became actually installable, it jumped from worst all the way to best.

Ubuntu, the Ubuntu of back then isn't like the Ubuntu of current year, they were always ahead of the latest technologies (minus [Furryfox](/glossary/#furryfox) versions), and really used to made sure even your most WinDOS addicted grandma was able to get around.

Linux Mint, basically the same as Ubuntu, but further closed the gap for WinDOS users by having a UI that's more similar to WinDOS, and proprietary media codecs are already pre-installed.

### Good

Damn Small Linux, great distro on LiveCDs to take with you to school computers.

Puppy Linux, another great LiveCD distro.

KNOPPIX, yet another LiveCD distro, but instead of being for the purpose of running an OS without touching the OS that's already installed, that one was more useful as a Swiss knife of computer repairs.

### Neutral

Red Hat, I got a bit burnt out on Red Hat.\
Why pay for a distro if you can get superior ones for free?

OpenSUSE, it's OK, though I don't really understand the reason why anyone would use it other than German nostalgic boomers.

### Bad

Mac OS X, I got introduced to the only Mac we had in middle school.\
I hated the limitations, but at least the terminal was usable enough, even though they really did their best to hide it.\
For the zoomers out there, there was no full screen app menu back then, so you had to open up the /Applications folder in Finder in order to start anything up, like how Windows 3.11 and earlier worked like.

Solaris OS, basically Ubuntu with a lack of software.

### Worst

Windows, just like Mac, I got introduced to it in middle school, except it was running on hundreds of PCs there instead of just 1.\
The only non-WinDOS and non-Mac PC there was 1 Linux Mint PC, which I loved to use the most.\
Coming from Linux, WinDOS is insanely hard to use, none of the commands you know work on it, you're highly dependent on Internet Exploiter for software installation (well, Mac OS X was the same way with Safari), settings are spread all over the place, the UI is inconsistent (if you found GTK vs Qt programs to be inconsistent from each other, just look at how all the 3rd party music players for WinDOS XP looked like compared to, say, WinDOS Exploiter), and so on.

Fedora, it was a serious crash-fest when I tried it.

## 2009~2015: The smartphone takeover generator

### Best

Arch, now Arch Linux stole my heart, but I wasn't really able to install it.

Manjaro, on the other hand, this Arch-based distro got installed pretty easily, and I LOVED it!

### Good

Mac OS X, actually, Crapple managed to make their OS great for once.\
They fixed the problems it had in the previous generation, they managed to make it more normie-friendly without becoming a hurdle for the more advanced users, and even though it's not customizable at all, I was actually able to do my work on it pretty well, and Mac hardware was rock solid too (for the record, the iMac I bought 13 years ago still works like it if was bought yesterday, I recently sold it to a frontend developer though).

Debian, its appreciation dropped, but was still good for servers at least.

Linux Mint, the last time I took a look at it.\
It was usable, but now that I got used to rolling release distro's, I didn't really feel comfortable using it anymore.

### Neutral

Windows, I think WinDOS 7 was actually quite decent, the best WinDOS version I toyed around with (and I went through the entire history of that OS during that time).\
If WinDOS 8 would have been released much sooner, I'd probably have dropped it in the Worst tier for this generation too.

Android, as much as I hate smartphone OS's, this one was still pretty decent.\
At least, until they forced Material UI on to everything and it became a trend literally everyone and their mothers HAD to use, and I got extremely sick of it extremely quickly.

FreeDOS, I wouldn't say it's good or bad, I'm just OK with it.

ReactOS, I didn't spend lots of time with it, but it's OK for something that's almost 2 decades in alpha.

### Bad

Ubuntu, Canonical went down pretty steadily.\
Initially not their fault, Gnome basically forced all distro's to either use their absolutely terrible Gnome 3, or switch over to KDE or Xfce, or make your own DE.\
Canonical chose the 3rd option, and the results were perhaps only slightly better than Gnome 3, but still horrible.

### Worst

RHEL, OK, I'm done with them!

Fedora, still a crash-fest.

CentOS, forever outdated.

Archos Linux, which no longer exists, was an attempt to provide Arch Linux with an easy to use installer.\
Spoiler alert: it didn't work, always crashed after a few minutes post-installation.

iOS, toy OS.

## 2016~2022: The New World Order generation

### Best

Artix Linux, this is what Arch used to be.\
Unlike Debian, Arch is still great, and Artix is basically Arch with different init systems to choose from, but other than that it's the exact same OS.\
So basically, my opinion on Artix is the same as Arch, except the fact it doesn't vendor lock you into SoystemD is what makes Artix just a bit more superior over Arch.

Void Linux, lots of reason to love it, small codebase, incredibly fast, very secure, lots of packages available in the default repo (though outdated), and many more.\
This was the only distro that actually ran on my old, low-end Celeron IdeaPad with KDE without lag, but that thing was already on its way to death anyway.

Devuan and MX Linux, this is what Debian used to be.\
Excellent for servers, but also for inexperienced home users away from SoystemD.

GhostBSD, this is basically FreeBSD, but actually works.\
I didn't work with it as much yet, but so far my experience has been really great.\
Looking forward to try it out even more.

### Good

Slackware, I like the simplicity, but I'm really missing the convenience of AUR here.

### Neutral

Manjaro, while I appreciate their efforts to make Arch normie friendly, the direction they're taking is just something that's a lose-lose to everybody.

Debian, still does the job as a server OS, but I don't think it'll last for much longer.\
I'm using Mobian on my phone not because it's the best mobile Linux distro, but rather because it's the least bad one.

### Bad

Ubuntu, oh kami-sama, what the fuck are you doing to yourself!?

### Worst

CentOS, RIP.

WinDOS, version 10 was terrible both when it came to privacy, security, stability, usability, and everything else an OS is supposed to be good at.\
With version 11, [Microshaft](/glossary/#microshaft) went like "HOLD MY SOYMILK, YOU AIN'T SEEN NOTHING YET!!", and fucked up on all of that even harder.

iOS, once a consoomer toy, always a consoomer toy.

Android, spyware OS slowly becoming more and more locked down like iOS.\
It's still pretty open, but I can see the writing on the wall.\
Plus I'm not a fan of smartphone OS's at all, they're all like toys to me, so don't expect me to ever put them in any of the high tiers anyway.\
For this same reason, even though privacy friendly custom ROMs are miles better than Goolag Android, they're still toy OS's regardless.

macOS, gosh, how deep did this OS sink when Steve Jobs died...\
Even the hardware quality of the Macs went backwards.\
Earlier I said how a 13 year old iMac still functioned like if it was bought yesterday, right?\
Well, the MacBook Pro Retina I bought during this generation literally blew up in just 3 months (blew up as in the laptop body is now round instead of flat like how it's supposed to be).\
And that was my last time buying anything from Crapple, I'm done!

FreeBSD, doesn't boot up on one machine, and refuses to cooperate with Xorg on the other.\
More like FreeBullShiD!

OpenBSD, I heard many good things about it, but wasn't able to get it booted up.\
Took me days to figure out how to put a LiveUSB together that actually worked.
